package org.nakedobjects.nos.client.web;

import org.nakedobjects.nof.core.context.NakedObjectsContext;
import org.nakedobjects.nof.core.security.ExplorationSession;
import org.nakedobjects.nos.client.web.component.Page;
import org.nakedobjects.nos.client.web.component.ViewPane;
import org.nakedobjects.nos.client.web.request.Action;
import org.nakedobjects.nos.client.web.request.Context;
import org.nakedobjects.nos.client.web.request.Request;

class SetUser implements Action {

    public void execute(Request request, Context context, Page page) {
        String name = request.getName();
        ExplorationSession session = (ExplorationSession) NakedObjectsContext.getSession();
        session.setName(name);
        
        ViewPane content = page.getViewPane();
        content.setTitle("Exploration User changed to " + name, null);

        
    }

    public String name() {
        return "setuser";
    }    
}

// Copyright (c) Naked Objects Group Ltd.
