package org.nakedobjects.nos.client.web.html;

import java.io.PrintWriter;


public class Heading extends AbstractComponent {
    private final String title;
    private final int level;

    public Heading(String title) {
        this(title, 1);
    }

    public Heading(String title, int level) {
        this.title = title;
        this.level = level;
    }

    public void write(PrintWriter writer) {
        writeTag(writer, "h" + level);
        writer.print(title);
        writer.print("</h");
        writer.print(level);
        writer.println(">");
    }

}

// Copyright (c) Naked Objects Group Ltd.
