package org.nakedobjects.nos.client.web.session;

import org.nakedobjects.nos.client.web.component.Page;
import org.nakedobjects.nos.client.web.request.Action;
import org.nakedobjects.nos.client.web.request.Context;
import org.nakedobjects.nos.client.web.request.Request;
import org.nakedobjects.nos.client.web.servlet.SystemAccess;


public class LogOut implements Action {
    public void execute(final Request request, final Context context, final Page page) {
        SystemAccess.logoffUser(context.getSession());
        context.setSession(null);
        context.invalidate();
    }

    public String name() {
        return "logout";
    }
}

// Copyright (c) Naked Objects Group Ltd.
